Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008366TestLinkDatabase MySQLpublic2018-09-10 07:082018-10-12 18:08
Reporterall-it 
Assigned Tofman 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version 
Summary0008366: We get an error when we add test cases
Description [18/Sep/5 15:57:22][ERROR][259niih2ta46alevmcolnnh8p1][DATABASE]
                ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1 - / Class:tree - Method: _get_path / SELECT id,name,parent_id,node_type_id,node_order FROM nodes_hierarchy WHERE id =
THE MESSAGE : / Class:tree - Method: _get_path / SELECT id,name,parent_id,node_type_id,node_order FROM nodes_hierarchy WHERE id =
Query failed: errorcode[1064]
        errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1
[<<][5b8ffce2471dd521996448][DEFAULT][/lib/plan/planAddTC.php][18/Sep/5 15:57:22][18/Sep/5 15:57:22][took 0.088428 secs]





tcversion_id = $argsObj->linkedVersion[$tcase_id]




[18/Sep/6 15:17:37][WARNING][p4kjd4ipisvl355p2c2l5akog3][GUI]
                config option not available: tpl
        [18/Sep/6 15:17:37][WARNING][p4kjd4ipisvl355p2c2l5akog3][GUI]
                E_NOTICE
Undefined offset: 47203 - in /var/www/testlink/lib/plan/planAddTC.php - Line 789
        [18/Sep/6 15:17:37][ERROR][p4kjd4ipisvl355p2c2l5akog3][DATABASE]
                ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1 - / Class:tree - Method: _get_path / SELECT id,name,parent_id,node_type_id,node_order FROM nodes_hierarchy WHERE id =
THE MESSAGE : / Class:tree - Method: _get_path / SELECT id,name,parent_id,node_type_id,node_order FROM nodes_hierarchy WHERE id =
Query failed: errorcode[1064]
        errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1
[<<][5b914511028d5869181985][DEFAULT][/lib/plan/planAddTC.php][18/Sep/6 15:17:37][18/Sep/6 15:17:37][took 0.095758 secs]
Steps To Reproduce1. go to - add/remove test cases
2. choose test cases
3. click on add/remove test cases
4. error
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.5
Browserany
PHP Version5.5
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0027826)
fman (administrator)
2018-09-10 08:55

1.9.14 has reached EOL
get latest code from github, do a fresh install in a sandbox, retest & provide feedback.
(0027827)
all-it (reporter)
2018-09-10 10:42

OK, we will try it. Thank you for the feedback.
(0027895)
all-it (reporter)
2018-09-26 15:33

Hello again,
MySQL 5.6
PHP version 5.5.30
Installed last version of Testlink and get the same issue.
Have tried following solution: https://stackoverflow.com/questions/34885392/testlink-db-access-error-debug-print-backtrace-output-start-cwe-200 [^]
with grant privileges to user configured at config_db.inc.php with no result.
DB Access Error - debug_print_backtrace() OUTPUT START
 ATTENTION: Enabling more debug info will produce path disclosure weakness (CWE-200)
            Having this additional Information could be useful for reporting
            issue to development TEAM.
(0027905)
all-it (reporter)
2018-09-28 07:39

Just want to ask, is there any other possible solutions for this behavior?
(0027906)
fman (administrator)
2018-09-28 07:58

get bitnami testlink installer, di fresh install & retests.

I'm not able to reproduce
(0027907)
all-it (reporter)
2018-09-28 13:48

I cought an error while installation:
Processing:sql/mysql/testlink_create_tables.sql

 ==============================================================================
 DB Access Error - debug_print_backtrace() OUTPUT START
 ATTENTION: Enabling more debug info will produce path disclosure weakness (CWE-200)
            Having this additional Information could be useful for reporting
            issue to development TEAM.
 ==============================================================================
#0 database->exec_query(CREATE OR REPLACE VIEW /*prefix*/latest_tcase_version_id
AS SELECT
   `ltcvn`.`testcase_id` AS `testcase_id`,
   `ltcvn`.`version` AS `version`,
   `TCV`.`id` AS `tcversion_id`
FROM ((/*prefix*/latest_tcase_version_number LTCVN
       join /*prefix*/nodes_hierarchy NHTCV
       on ((`NHTCV`.`parent_id` = `ltcvn`.`testcase_id`)))
       join /*prefix*/tcversions `TCV`
       on (((`TCV`.`id` = `NHTCV`.`id`)
       and (`TCV`.`version` = `ltcvn`.`version`))))) called at [/var/www/testlink/install/sqlParser.class.php:98]
#1 SqlParser->process(sql/mysql/testlink_create_tables.sql) called at [/var/www/testlink/install/installNewDB.php:445]

If I have an empty database and trying to manually load data from that file, all fields are ok, except for one error:
ERROR 1054 (42S22): Unknown column 'ltcvn.testcase_id' in 'field list'
Query OK, 0 rows affected (0.04 sec)
(0027910)
all-it (reporter)
2018-10-01 10:25

Please help me, what I'm doing wrong with a fresh install?
Here is versions of my installed software:
mysql Ver 14.14 Distrib 5.6.36, for Linux (x86_64) using EditLine wrapper
PHP 7.2.9-1+ubuntu14.04.1+deb.sury.org+1 (cli) (built: Aug 19 2018 07:44:26) ( NTS )
(0027911)
all-it (reporter)
2018-10-02 10:45

OK. I have created new VM for performing tests with different versions.
Installed MySQL 5.6, PHP 5.5.9
I have not created DB and run installation script and again got an error:

DB Access Error - debug_print_backtrace() OUTPUT START
 ATTENTION: Enabling more debug info will produce path disclosure weakness (CWE-200)
            Having this additional Information could be useful for reporting
            issue to development TEAM.
 ==============================================================================
#0 database->exec_query(CREATE OR REPLACE VIEW /*prefix*/latest_tcase_version_id
AS SELECT
   `ltcvn`.`testcase_id` AS `testcase_id`,
   `ltcvn`.`version` AS `version`,
   `TCV`.`id` AS `tcversion_id`
FROM ((/*prefix*/latest_tcase_version_number LTCVN
       join /*prefix*/nodes_hierarchy NHTCV
       on ((`NHTCV`.`parent_id` = `ltcvn`.`testcase_id`)))
       join /*prefix*/tcversions `TCV`
       on (((`TCV`.`id` = `NHTCV`.`id`)
       and (`TCV`.`version` = `ltcvn`.`version`))))) called at [/var/www/testlink/install/sqlParser.class.php:98]
#1 SqlParser->process(sql/mysql/testlink_create_tables.sql) called at [/var/www/testlink/install/installNewDB.php:459]

As I can see Installation script created the DB and inserted 62 tables into it.

So this is not about access rights.

Can you help me with resolving this issue?
(0027912)
fman (administrator)
2018-10-02 12:25

This is the advice
get bitnami testlink installer, di fresh install & retests.

till you do not proceed this way, please stop asking for help

closing
(0027913)
fman (administrator)
2018-10-02 12:25

still waiting for user collaboration
(0027977)
all-it (reporter)
2018-10-10 07:17

Hello again.
I have used Bitnami Testlink installer. Exported imported test results and encountered with the other issue:
There is tree view for tests, let's take following of an example:
-cases[800]
--my cases[400]
--new cases[300]
--old cases[100]
---enter test[50]
---exit test[50]
When I run all tests (case[800]) I don't get any error but not all tests are run. The behavior looks like they just unmarked.
Even when I tried to run less test pack - no tests were run.
Only when I expand my tree to the smallest packs than the test runs successfully.

Can you help with this behavior, please?
(0027981)
fman (administrator)
2018-10-10 18:11

If you are now able to add testcase this issue has to be closed, and then you need to add a new issue for a different issue.
(0027983)
all-it (reporter)
2018-10-11 07:21

oh, OK.
Thanks for the provided help!
Please mark this issue resolved.

- Issue History
Date Modified Username Field Change
2018-09-10 07:08 all-it New Issue
2018-09-10 08:55 fman Note Added: 0027826
2018-09-10 08:55 fman Assigned To => fman
2018-09-10 08:55 fman Status new => feedback
2018-09-10 10:42 all-it Note Added: 0027827
2018-09-10 10:42 all-it Status feedback => assigned
2018-09-12 16:00 fman Status assigned => feedback
2018-09-26 15:33 all-it Note Added: 0027895
2018-09-26 15:33 all-it Status feedback => assigned
2018-09-28 07:39 all-it Note Added: 0027905
2018-09-28 07:58 fman Note Added: 0027906
2018-09-28 13:48 all-it Note Added: 0027907
2018-10-01 10:25 all-it Note Added: 0027910
2018-10-02 10:45 all-it Note Added: 0027911
2018-10-02 12:25 fman Note Added: 0027912
2018-10-02 12:25 fman QA Team - Task Workflow Status => TBD
2018-10-02 12:25 fman Note Added: 0027913
2018-10-02 12:25 fman Status assigned => closed
2018-10-02 12:25 fman Resolution open => unable to reproduce
2018-10-03 12:04 all-it Note Added: 0027920
2018-10-03 12:04 all-it Status closed => assigned
2018-10-03 12:04 all-it Resolution unable to reproduce => reopened
2018-10-05 14:57 all-it Note Deleted: 0027920
2018-10-10 07:17 all-it Note Added: 0027977
2018-10-10 18:11 fman Note Added: 0027981
2018-10-10 18:11 fman Status assigned => feedback
2018-10-11 07:21 all-it Note Added: 0027983
2018-10-11 07:21 all-it Status feedback => assigned
2018-10-12 18:08 fman Status assigned => closed
2018-10-12 18:08 fman Resolution reopened => no change required



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker